<%--
/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2011, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
--%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>JBoss JSF Bean Validation Integration Test</title>
  </head>
  <body>
    <f:view>
      <font color="red"><h1><h:outputText value="#{injectionBean.name}: hit this page twice to complete the test."/></h1></font>
         <h3><h:outputText rendered="#{injectionBean.postConstructCalled}" value="@PostConstruct was called."/></h3>
         <font color="red"><h3><h:outputText rendered="#{!injectionBean.postConstructCalled}" value="@PostConstruct was not called."/></h3></font>
         <h3><h:outputText rendered="#{injectionBean.preDestroyCalled}" value="@PreDestroy was called."/></h3>
         <font color="red"><h3><h:outputText rendered="#{!injectionBean.preDestroyCalled}" value="@PreDestroy not yet called."/></h3></font>
         <h3><h:outputText rendered="#{injectionBean.ejbFromJNDI}" value="EJB set from JNDI."/></h3>
         <font color="red"><h3><h:outputText rendered="#{!injectionBean.ejbFromJNDI}" value="Failure: EJB not set from JNDI."/></h3></font>
         <h3><h:outputText rendered="#{injectionBean.ejbInjected}" value="EJB injected from @EJB."/></h3>
         <font color="red"><h3><h:outputText rendered="#{!injectionBean.ejbInjected}" value="Failure: EJB not injected from @EJB."/></h3></font>
    </f:view>

  </body>
</html>
